import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

/// Elevarm UI's Elevarm logo widget.
class ElevarmLogo extends StatelessWidget {
  /// The logo's height.
  final double height;

  /// The logo's width.
  final double? width;

  /// Whether to use the white font or not.
  final bool isWhite;

  const ElevarmLogo({
    super.key,
    this.height = 20.0,
    this.width,
    this.isWhite = false,
  });

  @override
  Widget build(BuildContext context) {
    return SvgPicture.asset(
      !isWhite
          ? 'packages/elevarm_ui/assets/images/elevarm_logo_blue.svg'
          : 'packages/elevarm_ui/assets/images/elevarm_logo_white.svg',
      height: height,
      width: width,
    );
  }
}
